Security update for mariadb

SUSE Security Update: Security update for mariadb
Announcement ID: SUSE-SU-2022:0782-1
Rating: important
References: #1195325 #1195334 #1195339 #1196016
Cross-References:CVE-2021-46657 CVE-2021-46658 CVE-2021-46659 CVE-2021-46661 CVE-2021-46663 CVE-2021-46664 CVE-2021-46665 CVE-2021-46668 CVE-2022-24048 CVE-2022-24050 CVE-2022-24051 CVE-2022-24052
Affected Products:
  • SUSE Linux Enterprise Server 12-SP4-LTSS
  • SUSE Linux Enterprise Server 12-SP5
  • SUSE Linux Enterprise Server for SAP 12-SP4
  • SUSE OpenStack Cloud 9
  • SUSE OpenStack Cloud Crowbar 9

An update that fixes 12 vulnerabilities is now available.

Description:

This update for mariadb fixes the following issues:

  • Update to 10.2.43 (bsc#1196016): * 10.2.43: CVE-2021-46665 CVE-2021-46664 CVE-2021-46661 CVE-2021-46668 CVE-2021-46663 * 10.2.42: CVE-2022-24052 CVE-2022-24051 CVE-2022-24050 CVE-2022-24048 CVE-2021-46659, bsc#1195339

  • The following issues have already been fixed in this package but weren't previously mentioned in the changes file: CVE-2021-46658, bsc#1195334 CVE-2021-46657, bsc#1195325

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE OpenStack Cloud Crowbar 9:
    zypper in -t patch SUSE-OpenStack-Cloud-Crowbar-9-2022-782=1
  • SUSE OpenStack Cloud 9:
    zypper in -t patch SUSE-OpenStack-Cloud-9-2022-782=1
  • SUSE Linux Enterprise Server for SAP 12-SP4:
    zypper in -t patch SUSE-SLE-SAP-12-SP4-2022-782=1
  • SUSE Linux Enterprise Server 12-SP5:
    zypper in -t patch SUSE-SLE-SERVER-12-SP5-2022-782=1
  • SUSE Linux Enterprise Server 12-SP4-LTSS:
    zypper in -t patch SUSE-SLE-SERVER-12-SP4-LTSS-2022-782=1

Package List:

  • SUSE OpenStack Cloud Crowbar 9 (x86_64):
    • mariadb-10.2.43-3.47.1
    • mariadb-client-10.2.43-3.47.1
    • mariadb-client-debuginfo-10.2.43-3.47.1
    • mariadb-debuginfo-10.2.43-3.47.1
    • mariadb-debugsource-10.2.43-3.47.1
    • mariadb-galera-10.2.43-3.47.1
    • mariadb-tools-10.2.43-3.47.1
    • mariadb-tools-debuginfo-10.2.43-3.47.1
  • SUSE OpenStack Cloud Crowbar 9 (noarch):
    • mariadb-errormessages-10.2.43-3.47.1
  • SUSE OpenStack Cloud 9 (noarch):
    • mariadb-errormessages-10.2.43-3.47.1
  • SUSE OpenStack Cloud 9 (x86_64):
    • mariadb-10.2.43-3.47.1
    • mariadb-client-10.2.43-3.47.1
    • mariadb-client-debuginfo-10.2.43-3.47.1
    • mariadb-debuginfo-10.2.43-3.47.1
    • mariadb-debugsource-10.2.43-3.47.1
    • mariadb-galera-10.2.43-3.47.1
    • mariadb-tools-10.2.43-3.47.1
    • mariadb-tools-debuginfo-10.2.43-3.47.1
  • SUSE Linux Enterprise Server for SAP 12-SP4 (ppc64le x86_64):
    • mariadb-10.2.43-3.47.1
    • mariadb-client-10.2.43-3.47.1
    • mariadb-client-debuginfo-10.2.43-3.47.1
    • mariadb-debuginfo-10.2.43-3.47.1
    • mariadb-debugsource-10.2.43-3.47.1
    • mariadb-tools-10.2.43-3.47.1
    • mariadb-tools-debuginfo-10.2.43-3.47.1
  • SUSE Linux Enterprise Server for SAP 12-SP4 (noarch):
    • mariadb-errormessages-10.2.43-3.47.1
  • SUSE Linux Enterprise Server 12-SP5 (aarch64 ppc64le s390x x86_64):
    • mariadb-10.2.43-3.47.1
    • mariadb-client-10.2.43-3.47.1
    • mariadb-client-debuginfo-10.2.43-3.47.1
    • mariadb-debuginfo-10.2.43-3.47.1
    • mariadb-debugsource-10.2.43-3.47.1
    • mariadb-tools-10.2.43-3.47.1
    • mariadb-tools-debuginfo-10.2.43-3.47.1
  • SUSE Linux Enterprise Server 12-SP5 (noarch):
    • mariadb-errormessages-10.2.43-3.47.1
  • SUSE Linux Enterprise Server 12-SP4-LTSS (aarch64 ppc64le s390x x86_64):
    • mariadb-10.2.43-3.47.1
    • mariadb-client-10.2.43-3.47.1
    • mariadb-client-debuginfo-10.2.43-3.47.1
    • mariadb-debuginfo-10.2.43-3.47.1
    • mariadb-debugsource-10.2.43-3.47.1
    • mariadb-tools-10.2.43-3.47.1
    • mariadb-tools-debuginfo-10.2.43-3.47.1
  • SUSE Linux Enterprise Server 12-SP4-LTSS (noarch):
    • mariadb-errormessages-10.2.43-3.47.1

References: